<?xml version="1.0"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->

<document>
  <properties>
    <title>Maven EJB Plug-in Goals</title>
    <author email="michal.maczka@dimatics.com">Michal Maczka</author>
    <author email="nathan.coast@blueyonder.co.uk">Nathan Coast</author>
  </properties>
  <body>
    <goals>
      <goal>
        <name>ejb</name>
        <description>
          Build a ejb file. 
          This goal simply executes the <a href="ejb:ejb">ejb:ejb</a> goal
        </description>
      </goal>
      <goal>
        <name>ejb:init</name>
        <description>Initialize the file system and attain any necessary goals</description>
      </goal>
      <goal>
        <name>ejb:ejb</name>
        <description>
          Constructs the ejb-jar file from the compiled sources 
          and resources.
        </description>
      </goal>      
      <goal>
        <name>ejb:install</name>
        <description>Installs the generated ejb-jar file into the local repository</description>
      </goal>
      <goal>
        <name>ejb:install-snapshot</name>
        <description>Install the snapshot version of the ejb into the local repository</description>
      </goal>      
      <goal>
        <name>ejb:deploy</name>
        <description>Deploy the ejb to the remote repository(ies)</description>
      </goal>
      <goal>
        <name>ejb:deploy-snapshot</name>
        <description>Deploy the snapshot version of the ejb to the remote repository(ies)</description>
      </goal>  
    </goals>      
  </body>
</document>
